unit Nastaveni;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, Graphics;

procedure setPocetDam(pocet: integer);
function getPocetDam: integer;

property PocetDam: integer read getPocetDam write setPocetDam;

procedure VychoziNastaveni;

implementation

var
  FPocetDam: integer;
  FBarvaDam: TColor;
  FBarvaCar: TColor;

const
  vychoziPocetDam = 4;
  vychoziBarvaDam: TColor = clBlack;
  vychoziBarvaCar: TColor = clBlack;

procedure setPocetDam(pocet: integer);
begin
  FPocetDam:=pocet;
end;

function getPocetDam: integer;
begin
  Result := FPocetDam;
end;

procedure VychoziNastaveni;
begin
  PocetDam:=vychoziPocetDam;
  FBarvaDam := vychoziBarvaDam;
  FBarvaCar:=vychoziBarvaCar;
end;

initialization

VychoziNastaveni;

end.

